Package org.apache.sysds.runtime.compress.lib

## Class CLALibReplace

- java.lang.Object
- - org.apache.sysds.runtime.compress.lib.CLALibReplace

    public class CLALibReplace
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static MatrixBlock` `replace​(CompressedMatrixBlock in, MatrixBlock out, double pattern, double replacement, int k)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### replace

    public static MatrixBlock replace​(CompressedMatrixBlock in,
                                      MatrixBlock out,
                                      double pattern,
                                      double replacement,
                                      int k)